import 'dart:ui';

import '../../abg_utils.dart';

class SubscriptionData{
  final String id;
  final String text;
  final double price;
  final Color color;
  final String desc;
  final bool defaultItem;
  double scale = 1;

  SubscriptionData({this.id = "", this.text = "", this.price = 0, this.desc = "", this.defaultItem = false,
    this.color = const Color(0xfff7a062),
  });

  Map<String, dynamic> toJson() => {
    "text": text,
    "price": price,
    'color': color.value.toString(),
    'desc': desc,
    'defaultItem': defaultItem,
  };

  factory SubscriptionData.fromJson(String _id, Map<String, dynamic> data){
    return SubscriptionData(
      id : _id,
      text: (data["text"] != null) ? data["text"] : "",
      price: data["price"] != null ? toDouble(data["price"].toString()) : 0.0,
      color: (data["color"] != null) ? toColor(data["color"]) : Color(0xfff7a062),
      desc: (data["desc"] != null) ? data["desc"] : "",
      defaultItem: (data["defaultItem"] != null) ? data["defaultItem"] : "",
    );
  }
}